How can we help?

كيف يمكننا أن نساعدك؟

Comment pourrions nous vous aider?

What devices are compatible with Anghami?

  • Anghami for iOS requires iOS 9.0 or Higher ; It works on iPhone, iPod touch and iPad.  
  • Anghami for Android requires OS 4.1 and later.
  • Anghami for Web which requires Chrome , Safari , Firefox or Internet Explorer to be on the Latest version. 
Was this article helpful?
0 out of 2 found this helpful
Have more questions? Submit a request

0 Comments

Article is closed for comments.